Skip to main content
POST
Respond to an information request item

Authorizations

Authorization
string
header
required

Path Parameters

applicationId
string<uuid>
required

The ID of the application to work with.

Maximum string length: 36
Example:

"e9293471-5eb3-4dbc-916c-dbaf9e2deefd"

informationRequestId
string<uuid>
required

The ID of the information request to respond to.

Example:

"e9293471-5eb3-4dbc-916c-dbaf9e2deefd"

Body

application/json

Body

code
string
required

The code identifying which required information item to respond to.

Required string length: 1 - 100
Example:

"PROOF_OF_ADDRESS"

response
string
required

The response value. Format is validated server-side according to the expected response type.

Required string length: 1 - 1000
Example:

"We process approximately 500 transactions per month."

notApplicable
boolean

Set to true if you are unable to provide the requested item. When set, response must contain a free-text explanation of why, and is accepted regardless of the expected response type. Defaults to false when omitted.

Example:

false

Response

200 - application/json

OK

code
string
required

The code of the information item that was responded to.

response
string
required

The response value. Format is validated server-side according to the expected response type.

Required string length: 1 - 1000
Example:

"We process approximately 500 transactions per month."

createdAt
string<date-time>
required

The date the Resource was initially created. ISO 8601 format without milliseconds.

id
string<uuid>
required

The ID of the information request response.

Example:

"e9293471-5eb3-4dbc-916c-dbaf9e2deefd"

informationRequestId
string<uuid>
required

The ID of the information request to respond to.

Example:

"e9293471-5eb3-4dbc-916c-dbaf9e2deefd"

notApplicable
boolean

Whether the customer indicated they are unable to provide the requested item, with the reason in response.

Example:

false